VULKAN_HPP_NAMESPACE::DescriptorPoolCreateInfo Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::DescriptorPoolCreateInfo:
[legend]

## Public Member Functions

| DescriptorPoolCreateInfo (DescriptorPoolCreateFlags flags_=DescriptorPoolCreateFlags(), uint32_t maxSets_=0, uint32_t poolSizeCount_=0, const DescriptorPoolSize *pPoolSizes_=nullptr)
| DescriptorPoolCreateInfo (VkDescriptorPoolCreateInfo const &rhs)
DescriptorPoolCreateInfo & | operator= (VkDescriptorPoolCreateInfo const &rhs)
DescriptorPoolCreateInfo & | setPNext (const void *pNext_)
DescriptorPoolCreateInfo & | setFlags (DescriptorPoolCreateFlags flags_)
DescriptorPoolCreateInfo & | setMaxSets (uint32_t maxSets_)
DescriptorPoolCreateInfo & | setPoolSizeCount (uint32_t poolSizeCount_)
DescriptorPoolCreateInfo & | setPPoolSizes (const DescriptorPoolSize *pPoolSizes_)
| operator VkDescriptorPoolCreateInfo const & () const
| operator VkDescriptorPoolCreateInfo & ()
bool | operator== (DescriptorPoolCreateInfo const &rhs) const
bool | operator!= (DescriptorPoolCreateInfo const &rhs) const

## Data Fields

const void * | pNext = nullptr
DescriptorPoolCreateFlags | flags
uint32_t | maxSets
uint32_t | poolSizeCount
const DescriptorPoolSize * | pPoolSizes

## Private Attributes

StructureType | sType = StructureType::eDescriptorPoolCreateInfo

## Detailed Description

Definition at line 28733 of file vulkan.hpp.

## Constructor & Destructor Documentation

## DescriptorPoolCreateInfo() [1/2]

VULKAN_HPP_NAMESPACE::DescriptorPoolCreateInfo::DescriptorPoolCreateInfo | ( | DescriptorPoolCreateFlags | flags_ = `DescriptorPoolCreateFlags()`,
|  | uint32_t | maxSets_ = `0`,
|  | uint32_t | poolSizeCount_ = `0`,
|  | const DescriptorPoolSize * | pPoolSizes_ = `nullptr`
| ) |  |

inline

Definition at line 28735 of file vulkan.hpp.

: flags( flags_ )
, maxSets( maxSets_ )
, poolSizeCount( poolSizeCount_ )
, pPoolSizes( pPoolSizes_ )
{
}

## DescriptorPoolCreateInfo() [2/2]

VULKAN_HPP_NAMESPACE::DescriptorPoolCreateInfo::DescriptorPoolCreateInfo | ( | VkDescriptorPoolCreateInfo const & | rhs | ) |

inline

Definition at line 28746 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DescriptorPoolCreateInfo ) );
}

References memcpy.

## Member Function Documentation

## operator VkDescriptorPoolCreateInfo &()

VULKAN_HPP_NAMESPACE::DescriptorPoolCreateInfo::operator VkDescriptorPoolCreateInfo & | ( |  | ) |

inline

Definition at line 28791 of file vulkan.hpp.

{
return *reinterpret_cast<VkDescriptorPoolCreateInfo*>(this);
}

## operator VkDescriptorPoolCreateInfo const &()

VULKAN_HPP_NAMESPACE::DescriptorPoolCreateInfo::operator VkDescriptorPoolCreateInfo const & | ( |  | ) | const

inline

Definition at line 28786 of file vulkan.hpp.

{
return *reinterpret_cast<const VkDescriptorPoolCreateInfo*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::DescriptorPoolCreateInfo::operator!= | ( | DescriptorPoolCreateInfo const & | rhs | ) | const

inline

Definition at line 28806 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

DescriptorPoolCreateInfo& VULKAN_HPP_NAMESPACE::DescriptorPoolCreateInfo::operator= | ( | VkDescriptorPoolCreateInfo const & | rhs | ) |

inline

Definition at line 28751 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DescriptorPoolCreateInfo ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::DescriptorPoolCreateInfo::operator== | ( | DescriptorPoolCreateInfo const & | rhs | ) | const

inline

Definition at line 28796 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( flags == rhs.flags )
&& ( maxSets == rhs.maxSets )
&& ( poolSizeCount == rhs.poolSizeCount )
&& ( pPoolSizes == rhs.pPoolSizes );
}

References flags, maxSets, pNext, poolSizeCount, pPoolSizes, and sType.

Referenced by operator!=().

## setFlags()

DescriptorPoolCreateInfo& VULKAN_HPP_NAMESPACE::DescriptorPoolCreateInfo::setFlags | ( | DescriptorPoolCreateFlags | flags_ | ) |

inline

Definition at line 28762 of file vulkan.hpp.

{
flags = flags_;
return *this;
}

## setMaxSets()

DescriptorPoolCreateInfo& VULKAN_HPP_NAMESPACE::DescriptorPoolCreateInfo::setMaxSets | ( | uint32_t | maxSets_ | ) |

inline

Definition at line 28768 of file vulkan.hpp.

{
maxSets = maxSets_;
return *this;
}

References maxSets.

## setPNext()

DescriptorPoolCreateInfo& VULKAN_HPP_NAMESPACE::DescriptorPoolCreateInfo::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 28756 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setPoolSizeCount()

DescriptorPoolCreateInfo& VULKAN_HPP_NAMESPACE::DescriptorPoolCreateInfo::setPoolSizeCount | ( | uint32_t | poolSizeCount_ | ) |

inline

Definition at line 28774 of file vulkan.hpp.

{
poolSizeCount = poolSizeCount_;
return *this;
}

References poolSizeCount.

## setPPoolSizes()

DescriptorPoolCreateInfo& VULKAN_HPP_NAMESPACE::DescriptorPoolCreateInfo::setPPoolSizes | ( | const DescriptorPoolSize * | pPoolSizes_ | ) |

inline

Definition at line 28780 of file vulkan.hpp.

{
pPoolSizes = pPoolSizes_;
return *this;
}

References pPoolSizes.

## Field Documentation

## flags

DescriptorPoolCreateFlags VULKAN_HPP_NAMESPACE::DescriptorPoolCreateInfo::flags

Definition at line 28816 of file vulkan.hpp.

Referenced by operator==().

## maxSets

uint32_t VULKAN_HPP_NAMESPACE::DescriptorPoolCreateInfo::maxSets

Definition at line 28817 of file vulkan.hpp.

Referenced by operator==(), and setMaxSets().

## pNext

const void* VULKAN_HPP_NAMESPACE::DescriptorPoolCreateInfo::pNext = nullptr

Definition at line 28815 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## poolSizeCount

uint32_t VULKAN_HPP_NAMESPACE::DescriptorPoolCreateInfo::poolSizeCount

Definition at line 28818 of file vulkan.hpp.

Referenced by operator==(), and setPoolSizeCount().

## pPoolSizes

const DescriptorPoolSize* VULKAN_HPP_NAMESPACE::DescriptorPoolCreateInfo::pPoolSizes

Definition at line 28819 of file vulkan.hpp.

Referenced by operator==(), and setPPoolSizes().

## sType

StructureType VULKAN_HPP_NAMESPACE::DescriptorPoolCreateInfo::sType = StructureType::eDescriptorPoolCreateInfo

private

Definition at line 28812 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::DescriptorPoolCreateInfo::operator==
bool operator==(DescriptorPoolCreateInfo const &rhs) const
Definition: vulkan.hpp:28796
VULKAN_HPP_NAMESPACE::DescriptorPoolCreateInfo::poolSizeCount
uint32_t poolSizeCount
Definition: vulkan.hpp:28818
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::DescriptorPoolCreateInfo::flags
DescriptorPoolCreateFlags flags
Definition: vulkan.hpp:28816
VULKAN_HPP_NAMESPACE::DescriptorPoolCreateInfo::pNext
const void * pNext
Definition: vulkan.hpp:28815
VkDescriptorPoolCreateInfo
Definition: vulkan_core.h:2552
VULKAN_HPP_NAMESPACE::DescriptorPoolCreateInfo::DescriptorPoolCreateInfo
DescriptorPoolCreateInfo(DescriptorPoolCreateFlags flags_=DescriptorPoolCreateFlags(), uint32_t maxSets_=0, uint32_t poolSizeCount_=0, const DescriptorPoolSize *pPoolSizes_=nullptr)
Definition: vulkan.hpp:28735
VULKAN_HPP_NAMESPACE::DescriptorPoolCreateInfo::pPoolSizes
const DescriptorPoolSize * pPoolSizes
Definition: vulkan.hpp:28819
VULKAN_HPP_NAMESPACE::DescriptorPoolCreateInfo::sType
StructureType sType
Definition: vulkan.hpp:28812
flags
GLbitfield flags
Definition: SDL_opengl_glext.h:1480
VULKAN_HPP_NAMESPACE::DescriptorPoolCreateInfo::maxSets
uint32_t maxSets
Definition: vulkan.hpp:28817